package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.BisHachDel;

/**
 * 危化品出库 数据层
 */
@Mapper
public interface BisHachDelMapper {

    /**
     * 查询危化品出库信息
     * @param guid 查询条件
     * @return 危化品出库信息
     */
    BisHachDel selectBisHachDelByGuid(String guid);

    /**
     * 查询危化品出库列表
     * @param bisHachDel 危化品出库查询条件
     * @return 危化品出库集合
     */
    List<BisHachDel> selectBisHachDelList(BisHachDel bisHachDel);

    /**
     * 新增危化品出库
     * @param bisHachDel 危化品出库信息
     * @return 影响行数
     */
    int insertBisHachDel(BisHachDel bisHachDel);

    /**
     * 修改危化品出库
     * @param bisHachDel 危化品出库信息
     * @return 影响行数
     */
    int updateBisHachDel(BisHachDel bisHachDel);

    /**
     * 删除危化品出库
     * @param guid 危化品出库主键
     * @return 影响行数
     */
    int deleteBisHachDelByGuid(String guid);

    /**
     * 批量删除危化品出库
     * @param guids 危化品出库主键数组
     * @return 影响行数
     */
    int deleteBisHachDelByGuids(String[] guids);
}
